#
# This file is autogenerated by pip-compile with Python 3.12
# by the following command:
#
#    pip-compile requirements.in
#
annotated-types==0.7.0
    # via pydantic
base45==0.4.4
    # via -r requirements.in
blinker==1.8.2
    # via flask
bottle==0.13.1
    # via pywebview
certifi==2024.8.30
    # via requests
cffi==1.17.1
    # via
    #   clr-loader
    #   cryptography
charset-normalizer==3.3.2
    # via requests
click==8.1.7
    # via flask
clr-loader==0.2.6
    # via pythonnet
colorama==0.4.6
    # via
    #   click
    #   colorlog
    #   qrcode
coloredlogs==15.0.1
    # via onnxruntime
colorlog==6.8.2
    # via -r requirements.in
cryptography==43.0.1
    # via -r requirements.in
evalidate==2.0.2
    # via -r requirements.in
flask==3.0.3
    # via
    #   -r requirements.in
    #   flask-cors
    #   flask-sock
flask-cors==4.0.1
    # via -r requirements.in
flask-sock==0.7.0
    # via -r requirements.in
flatbuffers==24.3.25
    # via onnxruntime
greenlet==3.1.1
    # via sqlalchemy
h11==0.14.0
    # via wsproto
humanfriendly==10.0
    # via coloredlogs
idna==3.10
    # via requests
imageio==2.35.1
    # via scikit-image
itsdangerous==2.2.0
    # via flask
jinja2==3.1.4
    # via
    #   -r requirements.in
    #   flask
joblib==1.4.2
    # via scikit-learn
jsonpickle==3.0.4
    # via -r requirements.in
lazy-loader==0.4
    # via scikit-image
markupsafe==3.0.0
    # via
    #   jinja2
    #   werkzeug
mouseinfo==0.1.3
    # via pyautogui
mpmath==1.3.0
    # via sympy
networkx==3.3
    # via
    #   -r requirements.in
    #   scikit-image
numpy==1.26.4
    # via
    #   -r requirements.in
    #   imageio
    #   onnxruntime
    #   opencv-python
    #   pandas
    #   rapidocr-onnxruntime
    #   scikit-image
    #   scikit-learn
    #   scipy
    #   shapely
    #   tifffile
onnxruntime==1.19.2
    # via rapidocr-onnxruntime
opencv-python==4.9.0.80
    # via
    #   -r requirements.in
    #   rapidocr-onnxruntime
packaging==24.1
    # via
    #   lazy-loader
    #   onnxruntime
    #   scikit-image
pandas==2.2.2
    # via -r requirements.in
pillow==10.3.0
    # via
    #   -r requirements.in
    #   imageio
    #   pystray
    #   rapidocr-onnxruntime
    #   scikit-image
protobuf==5.28.2
    # via onnxruntime
proxy-tools==0.1.0
    # via pywebview
pyautogui==0.9.54
    # via -r requirements.in
pyclipper==1.3.0.post5
    # via rapidocr-onnxruntime
pycparser==2.22
    # via cffi
pydantic==2.8.2
    # via -r requirements.in
pydantic-core==2.20.1
    # via pydantic
pygetwindow==0.0.9
    # via pyautogui
pymsgbox==1.0.9
    # via pyautogui
pyperclip==1.9.0
    # via mouseinfo
pypng==0.20220715.0
    # via qrcode
pyreadline3==3.5.4
    # via humanfriendly
pyrect==0.2.0
    # via pygetwindow
pyscreeze==1.0.1
    # via pyautogui
pystray==0.19.5
    # via -r requirements.in
python-dateutil==2.9.0.post0
    # via pandas
pythonnet==3.0.4
    # via pywebview
pytweening==1.2.0
    # via pyautogui
pytz==2024.1
    # via
    #   -r requirements.in
    #   pandas
pywebview==5.1
    # via -r requirements.in
pyyaml==6.0.1
    # via
    #   -r requirements.in
    #   rapidocr-onnxruntime
pyzbar==0.1.9
    # via -r requirements.in
qrcode==7.4.2
    # via -r requirements.in
rapidocr-onnxruntime==1.3.24
    # via -r requirements.in
requests==2.31.0
    # via -r requirements.in
scikit-image==0.23.2
    # via -r requirements.in
scikit-learn==1.4.2
    # via -r requirements.in
scipy==1.13.0
    # via
    #   -r requirements.in
    #   scikit-image
    #   scikit-learn
shapely==2.0.6
    # via rapidocr-onnxruntime
simple-websocket==1.0.0
    # via flask-sock
six==1.16.0
    # via
    #   pystray
    #   python-dateutil
    #   rapidocr-onnxruntime
sqlalchemy==2.0.35
    # via -r requirements.in
sympy==1.13.3
    # via onnxruntime
threadpoolctl==3.5.0
    # via scikit-learn
tifffile==2024.9.20
    # via scikit-image
typing-extensions==4.12.2
    # via
    #   pydantic
    #   pydantic-core
    #   pywebview
    #   qrcode
    #   sqlalchemy
tzdata==2024.2
    # via
    #   pandas
    #   tzlocal
tzlocal==5.2
    # via -r requirements.in
urllib3==2.2.3
    # via requests
werkzeug==3.0.4
    # via flask
wsproto==1.2.0
    # via simple-websocket
yamlcore==0.0.2
    # via -r requirements.in
